package com.zsc.edu.gateway.modules.iot.record.repo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zsc.edu.gateway.modules.iot.record.entity.RecordData;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author zhuang
 */
public interface RecordDataRepository extends BaseMapper<RecordData> {
    List<RecordData> findAllByClientIdAndRecordTimeAfter(String clientId, LocalDateTime recordTime);

    List<RecordData> findByRecordTimeStr(String recordTimeStr);


}
