package com.zsc.edu.gateway.modules.notice.repo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zsc.edu.gateway.modules.notice.entity.Bulletin;
import com.zsc.edu.gateway.modules.notice.query.BulletinQuery;
import com.zsc.edu.gateway.modules.notice.vo.BulletinVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 公告Repo
 *
 * @author harry_yao
 */
public interface BulletinRepository extends BaseMapper<Bulletin> {


    BulletinVo selectByBulletinId(@Param("bulletinId") Long bulletinId);

    IPage<BulletinVo> selectPageByConditions(Page<BulletinVo> page, @Param("query") BulletinQuery query);
}
