package com.zsc.edu.gateway.modules.system.entity;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 操作权限
 *
 * @author harry yao
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("sys_menu")
public class Menu extends BaseEntity {

    private Long pid;
    private Type type;
    private String name;
    private String path;
    private String locale;
    private String icon;
    private Boolean requiresAuth;
    private Boolean hideInMenu;
    private Integer menuOrder;
    private String permissions;
    private String authority;

    @Getter
    @AllArgsConstructor
    public enum Type {
        PAGE(1, "页面"),
        OPERATION(2, "操作");
        @EnumValue
        private final Integer code;
        private final String desc;
    }

}
